Subject: FVWM: FVWM doesn't load config

From: [email-masked]
Date: Wed, 8 Dec 2004 21:47:43 +0100

Hiya 

have a problem at my friend's computer. I gave him all my fvwm-config, he
unpacked it into .fvwm (just as needed) and the user-rights are okay, too. 
If he loads fvwm (either via xterm within x or via the xdm-config-file) it gets
loaded but doesn't load the configs. There are some errors but the are more the
"cannot load pixmap..." - type than the critical one. 
Does anybody have any idea what the problem could be? Or can anybody give me a
hint where to look?

Regards, 

Julian

------------------------------------------------------------------------------
Webhosting by http://www.de-punkt.de - Domain, Webmail und Spamschutz in einem

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Wed, 08 Dec 2004 19:08:49 -0500

[email-masked] writes:
> Hiya 
> 
> have    a problem at   my friend's   computer.  I   gave him  all my
> fvwm-config, he  unpacked it  into .fvwm (just  as needed)   and the
> user-rights are okay,  too.   If he loads   fvwm (either via   xterm
> within x or via the xdm-config-file) it gets loaded but doesn't load
> the configs. There are some errors but the are more the "cannot load
> pixmap..." - type than the critical one.  Does anybody have any idea
> what the problem  could be? Or  can anybody give me  a hint where to
> look?

I don't think I understand the question.

Are you trying to say fvwm isn't reading $HOME/.fvwm/.fvwm2rc?

If you use a command line like this to start fvwm:

fvwm -f /tmp/config

Then thats the only config file fvwm will look for during startup.

Recent beta releases prefer to read $HOME/.fvwm/config.

Find out the release of fvwm, find out the command line
used to start fvwm then if you still have questions,
ask again.

-- 
Dan Espen                           E-mail: [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 9 Dec 2004 00:22:31 +0000

On 08 Dec 2004 21:47:43 +0100, [email-masked] wrote:
> 
> have a problem at my friend's computer. I gave him all my fvwm-config,
> he unpacked it into .fvwm (just as needed) and the user-rights are
> okay, too.  If he loads fvwm (either via xterm within x or via the
> xdm-config-file) it gets loaded but doesn't load the configs. There are
> some errors but the are more the "cannot load pixmap..." - type than
> the critical one.

Do these files in error messages actually exist on his system?

Did he build fvwm with the XPM and PNG support?

Does he have several fvwm installations? What does "fvwm -version" say?

Post the url to your ~/.fvwm/.fvwm2rc if you still have problems.

Regards,
Mikhael.

---

From: [email-masked]
Date: Thu, 9 Dec 2004 01:26:13 +0100

Hi, 

the .fvwm2rc works on several other machines. same config, same errors on other
systems but they load. 
support and so on: its the standard debian - package for sarge...
I'll try the other hints tomorrow, 

Regards, 

Julian